/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentreadticket
#define headerfilecmslucontentreadticket

#include "core/request.h"
#include "core/ticket.h"
#include "core/system.h"



namespace Fun
{


class ReadTicket
{
public:
	ReadTicket();
	void Read(System * psystem, Request * prequest, Ticket * pticket);

private:
	Request * request;
	Ticket  * ticket;
	System  * system;

	void ReadTicketType();
	void ReadTicketStatus();
	void ReadTicketPriority();
	void ReadTicketCategory();
	void ReadTicketExpected();
	void ReadTicketProgress();
};


} // namespace


#endif
